clang 8.0.0

Namespaces | Functions
ExecuteCompilerInvocation.cpp File Reference
`#include "clang/ARCMigrate/ARCMTActions.h"`
`#include "clang/CodeGen/CodeGenAction.h"`
`#include "clang/Config/config.h"`
`#include "clang/Driver/Options.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/CompilerInvocation.h"`
`#include "clang/Frontend/FrontendActions.h"`
`#include "clang/Frontend/FrontendDiagnostic.h"`
`#include "clang/Frontend/FrontendPluginRegistry.h"`
`#include "clang/Frontend/Utils.h"`
`#include "clang/FrontendTool/Utils.h"`
`#include "clang/Rewrite/Frontend/FrontendActions.h"`
`#include "clang/StaticAnalyzer/Frontend/FrontendActions.h"`
`#include "llvm/Option/OptTable.h"`
`#include "llvm/Option/Option.h"`
`#include "llvm/Support/BuryPointer.h"`
`#include "llvm/Support/DynamicLibrary.h"`
`#include "llvm/Support/ErrorHandling.h"`
Include dependency graph for ExecuteCompilerInvocation.cpp:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Functions
static std::unique_ptr< FrontendAction > | clang::CreateFrontendBaseAction (CompilerInstance &CI)
std::unique_ptr< FrontendAction > | clang::CreateFrontendAction (CompilerInstance &CI)
| Construct the FrontendAction of a compiler invocation based on the options specified for the compiler invocation. More...
bool | clang::ExecuteCompilerInvocation (CompilerInstance *Clang)
| ExecuteCompilerInvocation - Execute the given actions described by the compiler invocation object in the given compiler instance. More...